GCC 4.5 update in natty, reverting the ld --as-needed default just for the natty release

Matthias Klose doko at ubuntu.com
Mon Mar 7 19:29:46 UTC 2011

On 07.03.2011 20:24, Micah Gersten wrote:
> On 03/07/2011 10:56 AM, Matthias Klose wrote:
>> Today's GCC 4.5 update in natty reverts the ld --as-needed default just for the
>> natty release.  All issues with ld --as-needed in main were resolved until
>> alpha3 release, and a good number in universe too.  There is however still a
>> large number of packages in the archive which don't build yet with this default,
>> so to concentrate on more important issues, this default is reverted again, and
>> will re-enabled with the start of the o-series.
>> Please do not drop ld --as-needed related patches because the package seems to
>> build with them.
>> Many thanks to all those submitters for the around ~350 patches applied in natty.
>>   Matthias
> Would it be possible to get a new archive rebuild after this lands
> (either in LP or one of Lucas's rebuilds)?

yes, planned, after addressing the component-mismatches, and somebody tells me
that the KDE update is done and built, and no new Gnome update starts ;)


More information about the ubuntu-devel mailing list